【VUE】vue报错“‘vue-cli-service‘不是内部或外部命令,也不是...”的解决办法

问题描述

项目执行npm run serve后报错
在这里插入图片描述

产生原因

(最大概率原因)

由于在该代码中含有node_module依赖包,再拷贝到其他计算机时,项目路径发生变化,导致找不到vue-cli-service于是报错
(其他出错情况,见下文扩展)

因为该问题是出现在其他计算机上的,我本机上一直没有问题没有复现出bug,所以出错原因只是分析得出。而出现这个报错的情况也不止这一种,具体写在下文扩展中。

解决办法

  1. 删除node_module文件夹
  2. npm install
  3. npm run serve

即可解决。注意在项目拷贝或git时,要省略掉node_module

扩展内容

可能原因1(极大概率)

1. 没有node_module
2. 有node_module但没有vue-cli-serve文件
3. 依赖包损坏

解决方式

1. (没有node_module或不全)运行npm install之后,再运行npm run serve
2. (没有node_module或不全)解压earthquakeweb(含node_module版)后,执行解决方法1
3. (依赖包损坏)删除node_modules文件夹,执行npm install重新安装
4. (重新安装vue-cli-serve)(卸载)npm uninstall -g @vue/cli(安装)npm install -g @vue/cli(本条解决办法参考源:https://blog.csdn.net/shi851051279/article/details/84928798)

  • 4
    点赞
  • 7
    收藏
  • 打赏
    打赏
  • 1
    评论

“相关推荐”对你有帮助么?

  • 非常没帮助
  • 没帮助
  • 一般
  • 有帮助
  • 非常有帮助
提交
©️2022 CSDN 皮肤主题:游动-白 设计师:我叫白小胖 返回首页
评论 1

打赏作者

夏夜星光.

你的鼓励将是我创作的最大动力

¥2 ¥4 ¥6 ¥10 ¥20
输入1-500的整数
余额支付 (余额:-- )
扫码支付
扫码支付:¥2
获取中
扫码支付

您的余额不足,请更换扫码支付或充值

打赏作者

实付
使用余额支付
点击重新获取
扫码支付
钱包余额 0

抵扣说明:

1.余额是钱包充值的虚拟货币,按照1:1的比例进行支付金额的抵扣。
2.余额无法直接购买下载,可以购买VIP、C币套餐、付费专栏及课程。

余额充值